<?php

namespace SGalinski\SgJobs\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * The list controller
 */
class CommentController extends ActionController {
	/**
	 * Renders the list view, with all information.
	 *
	 * @return void
	 */
	public function listAllAction() {
		$someData = [
			0 => 'test1', 1 => 'test2', 2 => 'test3'
		];
		$this->view->assign('someData', $someData);
	}

	/**
	 * Renders the detail view, with all information.
	 *
	 * @param int $itemUid
	 * @return void
	 */
	public function detailAction($itemUid) {
		$someDetails = [
			0 => 'Details for test1',
			1 => 'Details for test2',
			2 => 'Details for test3',
		];
		//Redirect back to the list, if no data were found.
		if (!isset($someDetails[$itemUid])) {
			$this->redirect('listAll');
		}

		$this->view->assign('itemDetails', $someDetails[$itemUid]);
	}
}
